<?php
//include_once("../../_lib/prod/conffunction.php");
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

// $idperkara=$this->encrypt->decode(base64_decode($enc));
// $idperkara = intval($idperkara);
// if(!is_numeric($idperkara) OR !intval($idperkara)>0){
//     show_404();
//     exit();
// }
foreach ($template->result() as $template)
{
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}

// $judulfile="PutusanSelaKeberatanDiterima";

$url = base_url("resources/template/putusan/pidana_umum/".$filename.".rtf");
$Template = file_get_contents($url);


foreach ($jenisperkara->result() as $row) {
	$Template = str_replace('#jenisperkara#',''.$row->nama.'',$Template);
}

$nomorperkara = '';
$nomorsurat = '';
$tanggalsurat = '';
$tanggal_pendaftaran='';
if(!empty($dataperkara->num_rows)){
    foreach ($dataperkara->result() as $row) {
    	$nomorperkara = $row->nomor_perkara;
    	$nomorsurat = $row->nomor_surat;
    	$tanggalsurat = $this->templatehelper->convertKeTglIndo($row->tanggal_surat);
        $tanggal_pendaftaran=$this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
        $dakwaan = $this->templatehelper->cleanHtmlTag($row->dakwaan);
    }
}

if(empty($nomorperkara)){
	$nomorperkara = '........';
}
if(empty($nomorsurat)){
	$nomorsurat = '........';
}
if(empty($tanggalsurat)){
	$tanggalsurat = '........';
}
if(empty($tanggal_pendaftaran)){
	$tanggal_pendaftaran = '........';
}
if(empty($dakwaan)){
	$dakwaan = '... Isi Dakwaan Disini .....';
}
$Template = str_replace('#perkara.nomor_perkara#',''.$nomorperkara.'',$Template);
$Template = str_replace('#dakwaan_lengkap#',''.$dakwaan.'',$Template);


#Data Pengadilan
$namapn = '';
$namaketuapn = '';
$alamatpn = '';
$penetapan = '';
$hakim_anggotas = '';
$daftar_majelis = '';

$majelis = true;
$i=1;$j=1;

$hakim_ketua='';$tgl_penetapan_hakim='';
//$datahakim = $data_hakim;
foreach ($data_hakim->result() as $row) {
    $tgl_penetapan_hakim = $this->templatehelper->convertKeTglIndo($row->tanggal_penetapan);
    $nomor_penetapan_majelis = ($row->nomor_sk_penetapan=='')? '..........' : $row->nomor_sk_penetapan;
    if($row->jabatan_hakim_id==1){
        $penetapan .='kami, '.$this->templatehelper->standradnaming($row->nama_gelar).", sebagai ".$row->jabatan_hakim_nama." ";
        $hakim_ketua = $this->templatehelper->standradnaming($row->nama_gelar);
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab  Hakim Ketua;\\par ';
    }elseif($row->jabatan_hakim_id==2){
        if ($i === count($data_hakim)){
            $penetapan .= 'dan ';
            $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'';
        }else{
            $penetapan .= ", ";
            if ($j==1 && $i>1){
                $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'\tab '.$hakim_ketua.'\\par \\par \\par ';
            }else{
                $hakim_anggotas .= $this->templatehelper->standradnaming($row->nama_gelar).'\\par \\par \\par ';
            }
            
        }
        $penetapan .=$this->templatehelper->standradnaming($row->nama_gelar).' ';
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab  Hakim Anggota;\\par ';
        $j++;
    }elseif($row->jabatan_hakim_id==3){
        $majelis = false;
        $penetapan .=$this->templatehelper->standradnaming($row->nama_gelar).", sebagai Hakim,";
        $daftar_majelis .= $this->templatehelper->standradnaming($row->nama_gelar).' \tab Hakim;\\par ';
        $hakim_ketua = $this->templatehelper->standradnaming($row->nama_gelar);
    }
    $i++;
}


if (!empty($data_panitera->num_rows)){
    foreach ($data_panitera->result() as $row){
        $nama_pp = $row->panitera_nama;
    }
}else{
    $nama_pp = 'Nama Panitera Pengganti';
}

$daftar_majelis .= $this->templatehelper->standradnaming($nama_pp).' \tab  Panitera Pengganti;';

#data Putusan

//print_r($data_putusan);
if (!empty($data_putusan->num_rows)){
    foreach ($data_putusan->result() as $row){
        $hari_putusan = $this->templatehelper->getHari($row->tanggal_putusan);
        $tgl_putusan = $this->templatehelper->convertKeTglIndo($row->tanggal_putusan);
        $amar_putusan = $this->templatehelper->cleanHtmlTag($row->amar_putusan);
        $tgl_relaas_putusan = $this->templatehelper->convertKeTglIndo($row->pemberitahuan_putusan);
    }
}else{
    $hari_putusan = '......';
    $tgl_putusan = '......';
    $amar_putusan = '- ISI AMAR PUTUSAN -';
    $tgl_relaas_putusan = '......';
}

#data putusan sela
    foreach ($data_putusan_sela->result() as $row){
        $amar_putusan_sela = $this->templatehelper->cleanHtmlTag($row->amar_sela);
        $tanggal_putusan_sela = $this->templatehelper->convertKeTglIndo($row->tanggal_putusan_sela);
    }
    if (empty($amar_putusan_sela)){
        $amar_putusan_sela = '...........';
        $tanggal_putusan_sela = '..........';
    }



if ($majelis){
    $kalimat_penutup ='Demikianlah diputuskan dalam sidang permusyawaratan Majelis Hakim Pengadilan Negeri #nama_pn#, pada hari #hari_putusan#, tanggal #tgl_putusan#, oleh #majelis#, yang diucapkan dalam sidang terbuka untuk umum pada hari .......... tanggal .......... oleh Hakim Ketua dengan didampingi para Hakim Anggota tersebut, dibantu oleh #nama_pp#, Panitera Pengganti pada Pengadilan Negeri #nama_pn#, serta dihadiri oleh #nama_pu#, Penuntut Umum  dan #pendampingan_pengacara#, Pembimbing Kemasyarakatan, orangtua / wali / orangtua asuh* #terdakwa/paraterdakwa#';
    $Template = str_replace('#penutup_majelis#',$kalimat_penutup,$Template);
    $Template = str_replace('#majelis#',$penetapan.'masing-masing sebagai Hakim Anggota',$Template);
    $Template = str_replace('#hakim/majelishakim#','Majelis Hakim',$Template);
    $Template = str_replace('#header_hakim_anggotas#','Hakim Anggota,\tab Hakim Ketua,',$Template);
    $Template = str_replace('#hakim_anggotas#',$hakim_anggotas,$Template);
    $Template = str_replace('#nama_pp_td#','Panitera Pengganti,\\par \\par \\par '.$nama_pp.' \\par ',$Template);
}else{
    $kalimat_penutup = 'Demikianlah diputuskan pada hari #hari_putusan#, tanggal #tgl_putusan#, oleh #hakim_ketua#, sebagai Hakim pada Pengadilan Negeri #nama_pn#, dan diucapkan dalam sidang terbuka untuk umum pada hari dan tanggal itu juga, dengan dibantu oleh #nama_pp#, Panitera Pengganti pada Pengadilan Negeri #nama_pn#, serta dihadiri oleh #nama_pu#, Penuntut Umum  dan #pendampingan_pengacara#, Pembimbing Kemasyarakatan, orangtua / wali / orangtua asuh* #terdakwa/paraterdakwa#';
    $Template = str_replace('#penutup_majelis#',$kalimat_penutup,$Template);
    $Template = str_replace('#majelis#',$penetapan,$Template);
    $Template = str_replace('#hakim/majelishakim#','Hakim',$Template);
    $Template = str_replace('#header_hakim_anggotas#','Panitera Pengganti,\tab Hakim,',$Template);
    $Template = str_replace('#hakim_anggotas#',$nama_pp.'\tab '.$hakim_ketua,$Template);
    $Template = str_replace('#nama_pp_td#','',$Template);
}
$Template = str_replace('#hakim_ketua#',$hakim_ketua,$Template);
$Template = str_replace('#nama_pp#',''.$nama_pp.'',$Template);


foreach ($datapengadilan->result() as $row) {
	$namapn = str_replace('Pengadilan Negeri ','',$row->NamaPN);
	$namaketuapn = $this->templatehelper->standradnaming($row->KetuaPNNama);
	$alamatpn = str_replace('Pengadilan Negeri ','',$row->NamaPN);
}

if(empty($namapn)){
	$namapn = '........';
}
if(empty($namaketuapn)){
	$namaketuapn = '........';
}
if(empty($alamatpn)){
	$alamatpn = '........';
}
$Template = str_replace('#nama_pn#',''.$namapn.'',$Template);
$Template = str_replace('#alamat_pn#',''.$alamatpn.'',$Template);

$tglpenetapansidang='';
foreach ($datapenetapan->result() as $row) {
    $tglpenetapansidang = $this->templatehelper->convertKeTglIndo($row->penetapan_hari_sidang);    
}

if(empty($tglpenetapansidang)){
    $tglpenetapansidang = '...........';
}
$Template = str_replace('#tglpenetapan#',''.$tglpenetapansidang.'',$Template);

#Data Penuntut #
if (!empty($datapenuntut->num_rows)){
    foreach ($datapenuntut->result() as $row){
        $Template = str_replace('#nama_pu#',''.$row->nama.'',$Template);
    }
}

#end of #data Penuntut#


$numbering = true;
if($dataterdakwa->num_rows >1){
    for ($i=0; $i < $dataterdakwa->num_rows; $i++) { 
        $text = 'terdakwa'.($i+1);
        if($i==$dataterdakwa->num_rows-1){
            $Template = str_replace('#loopingterdakwa#','\b#'.$text.'#\b0',$Template);
        }else{
            $Template = str_replace('#loopingterdakwa#','\b#'.$text.'#\b0\\par'.PHP_EOL.'#loopingterdakwa#',$Template);
        }
    }   

}else{
    $numbering = false;
    $Template = str_replace('#loopingterdakwa#','#terdakwa#',$Template);
}
$counter = 1;
$pengacara = '';
$pihak2 = '';
$arr_terdakwa = array();
if (!empty($dataterdakwa->num_rows)){   
    foreach ($dataterdakwa->result() as $row){
        $arr_terdakwa[]=$row->pihak_id;
        $terdakwa = '\b Terdakwa '.$counter.'\b0\\par ';
        $pihak2 = $terdakwa;
        $pihak2 .= '1. \tab Nama lengkap \tab : '.$this->templatehelper->standradnaming($row->nama).'\\par ';
        $pihak2 .= '2. \tab Tempat lahir \tab : '.$row->tempat_lahir.'\\par ';
        $pihak2 .= '3. \tab Umur/Tanggal lahir \tab : '.$this->tanggalhelper->getSelisihTahun($row->tanggal_lahir,date('Y-m-d')).'/'.$this->templatehelper->convertKeTglIndo($row->tanggal_lahir).'\\par ';
        $row->jenis_kelamin = $row->jenis_kelamin == 'P' ? 'Perempuan': 'Laki-laki';
        $pihak2 .= '4. \tab Jenis kelamin \tab : '.$row->jenis_kelamin.'\\par ';
        $pihak2 .= '5. \tab Kebangsaan \tab : '.$row->warga_negara.'\\par ';
        $pihak2 .= '6. \tab Tempat tinggal \tab : '.$row->alamat.'\\par ';
        $pihak2 .= '7. \tab Agama \tab : '.$row->agama_nama.'\\par ';
        $pihak2 .= '8. \tab Pekerjaan \tab : '.$row->pekerjaan.'\\par \\par ';
        
        //$pihak2 .= 'Terdakwa '.$row->nama'].' #status_thnan# oleh: \\par ';
        $temp = '';
        $counterpenahanan = 1;
        //print_r($datapenahanan);echo '<br />';
        $status_penahanan = '';$penahanan_pihak=array();
        foreach ($datapenahanan->result() as $baris) {
            if((trim($baris->pihak_id))==$row->pihak_id){
                $penahanan_pihak[]=array('pihak_id'=>$baris->pihak_id,'oleh'=>$baris->oleh, 'status_penahanan'=>$baris->status_penahanan, 'jenis_tahanan'=>$baris->jenis_tahanan , 'sejak'=>$baris->sejak, 'sampai'=>$baris->sampai,'lama_penahanan'=> $baris->lama_penahanan);
            }
        }
        if (!empty($penahanan_pihak)){
            foreach ($penahanan_pihak as $val){
                $temp = strtolower($val['status_penahanan'].' dalam '.$val['jenis_tahanan']);
                if ($status_penahanan === $val['status_penahanan'] || $status_penahanan ===''){
                    $pihak2 .= 'Terdakwa '.$this->templatehelper->standradnaming($row->nama).' '.$temp.' oleh: \\par ';
                    //$pihak2 = str_replace('#status_thnan#',$temp,$pihak2);    
                }
                $val['oleh']=str_replace(' penuntut umum', ' Penuntut', $val['oleh']);
                $val['oleh']=str_replace('Penuntut', 'Penuntut Umum', $val['oleh']);
                $val['oleh']=str_replace(' PU', ' Penuntut Umum', $val['oleh']);
                $val['oleh']=str_replace(' PN', ' Pengadilan Negeri', $val['oleh']);
                $val['oleh']=str_replace(' pengadilan negeri', ' Pengadilan Negeri', $val['oleh']);
                $val['oleh']=str_replace(' pn', ' Pengadilan Negeri', $val['oleh']);
                $val['oleh']=str_replace(' Pn', ' Pengadilan Negeri', $val['oleh']);
                $val['oleh']=str_replace(' PT', ' Pengadilan Tinggi ', $val['oleh']);
                $val['oleh']=str_replace(' pengadilan tinggi', ' Pengadilan Tinggi ', $val['oleh']);
                $pihak2 .= strval($counterpenahanan).'. \tab '.$val['oleh'].' sejak tanggal '.$this->templatehelper->convertKeTglIndo($val['sejak']).' sampai dengan tanggal '.$this->templatehelper->convertKeTglIndo($val['sampai']).' \\par ';
                $status_penahanan = $val['status_penahanan'];
                $counterpenahanan ++;
            }
        }else{
            $pihak2 .= ' Tidak ada Penahanan ';
        }

     if($numbering==true){
            $Template = str_replace('#terdakwa'.$counter.'#',$pihak2,$Template);
            $Template = str_replace('#terdakwa/paraterdakwa#','Para Terdakwa',$Template);
            $Template = str_replace('#terdakwa/paraterdakwa2#','PARA TERDAKWA',$Template);
        }else{
           $Template = str_replace('#terdakwa#',$pihak2,$Template);
           $Template = str_replace('#terdakwa/paraterdakwa#','Terdakwa',$Template);
        }
        $counter++;
    }
}

$nama_terdakwa_sendiri='';
if (!empty($datapengacarapihak2->num_rows)){
    $id_pengacara = '';
    $sembarang ='';
    $ada_pengacara = '';
    $all_parties = array();
    foreach ($datapengacarapihak2->result() as $row){
        $parties = explode(',', $row->pihak_id);
        $nama_terdakwa = '#terdakwa/paraterdakwa#';
        $nama_terdakwa_sendiri = '#terdakwa/paraterdakwa#';
        foreach($parties as $val){
            $all_parties[]=$val;
            
            foreach($data_pihak->result() as $datapihak)
            {
                if ($datapihak->id == $val)
                {
                    if ($nama_terdakwa == '#terdakwa/paraterdakwa#')
                    {
                        $nama_terdakwa = $datapihak->nama;
                    }
                    else
                    {
                        $nama_terdakwa .= ', '.$datapihak->nama;
                    }
                }
            }
            $ada_pengacara =  ' didampingi Penasihat Hukum '.$this->templatehelper->standradnaming($row->nama).', beralamat di '.$row->alamat.' berdasarkan Surat Kuasa Khusus/Penetapan Nomor  \highlight7#mohon-di isi nomor#\highlight0, tanggal \highlight7#mohon-di isi tanggal#\highlight0';
            //$nama_terdakwa .= print_r($data_pihak);
        }
        foreach ($arr_terdakwa as $val){
            if(in_array($val, $all_parties)){
                
            }else{
                //$data_pihak = getDataPihak($val);
                if ($nama_terdakwa_sendiri == '#terdakwa/paraterdakwa#'){
                    $nama_terdakwa_sendiri = $nama_terdakwa;
                }else{
                    $nama_terdakwa_sendiri .= ', '.$nama_terdakwa;
                }
            }
            $i++;
        }
        if ($sembarang==''){
            //$sembarang = $nama_terdakwa.' didampingi Penasihat Hukum '.$this->templatehelper->standradnaming($row->nama.', beralamat di '.$row->alamat'].' berdasarkan Surat Kuasa Khusus/Penetapan Nomor  \highlight7#mohon-di isi nomor#\highlight0, tanggal \highlight7#mohon-di isi tanggal#\highlight0 ';
            $sembarang = $nama_terdakwa.$ada_pengacara;
        }else{
            //$sembarang .= ', sedangkan '.$nama_terdakwa.' didampingi Penasihat Hukum '.$this->templatehelper->standradnaming($row->nama.', beralamat di '.$row->alamat'].' berdasarkan Surat Kuasa Khusus/Penetapan Nomor  \highlight7#mohon-di isi nomor#\highlight0, tanggal \highlight7#mohon-di isi tanggal#\highlight0 ';
            $sembarang .= ', sedangkan '.$nama_terdakwa.$ada_pengacara;
        }
        
        $id_pengacara=$row->id;
    }

    if ($nama_terdakwa_sendiri != '#terdakwa/paraterdakwa#'){
        $sembarang .= ', sedangkan '.$nama_terdakwa_sendiri.' menghadap sendiri';
    }

    $Template = str_replace('#pendampingan_pengacara#',$sembarang,$Template);
}else{
    $Template = str_replace('#pendampingan_pengacara#','#terdakwa/paraterdakwa# menghadap sendiri',$Template);
}

if($numbering==true){
    $Template = str_replace('#terdakwa/paraterdakwa#','Para Terdakwa',$Template);
    $Template = str_replace('#terdakwa/paraterdakwa2#','PARA TERDAKWA',$Template);
}else{
    $Template = str_replace('#terdakwa/paraterdakwa#','Terdakwa',$Template);
}
#end of data terdakwa

$Template = str_replace('#tanggal_penetapan_majelis#',''.$tgl_penetapan_hakim.'',$Template);
$Template = str_replace('#hari_putusan#',''.$hari_putusan.'',$Template);
$Template = str_replace('#tgl_putusan#',''.$tgl_putusan.'',$Template);
$Template = str_replace('#amar_putusan#',''.$amar_putusan.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
header('Content-length: '.strlen($Template));
print $Template;
exit;
?>

?>